#ifdef C_FILE


 //
 // EEP.H: Created 2003 05 13
 //    EEPROM flags and constants, variables and prototypes (if any)
 //
 // (C) Micrel Norway AS
 //     Proprietary firmware of Micrel Norway AS
 //
 


 // Note: The intention of the firmware listed below is to help users 
 //       get hands-on experience with Micrel Norway's products.
 
 //       No guarantee is implied as to the suitableness of the firmware 
 //       in a given application.
 
 //       For further information, please contact post@micrel.no


//*************************************************
//
// Prototype declarations/Imported procedures
//
//*************************************************

#ifndef EEP_FILE
extern
#endif
uint8 EEP_Read_EEprom( uint8 ee_address);


#ifndef EEP_FILE
extern
#endif
void  EEP_Write_EEprom( uint8 ee_address, uint8 ee_data);


#ifndef EEP_FILE
extern
#endif
void  EEP_Write_And_Confirm( uint8 ee_address, uint8 ee_data);


/*
#ifndef EEP_FILE
extern
#endif
void  EEP_Data_Refresh( void);
*/




//*************************************************
//
// Flags and variables
//
//*************************************************

// #ifdef EEP_FILE
//  #pragma udata access eep_regs_access
// #endif


// #ifndef EEP_FILE
//  extern
// #endif



//*************************************************
//
// Constants
//
//*************************************************

 #endif

 #define EEP_FW_VERSION_POS   0x00
 #define EEP_CWRD_SOURCE_POS  0x02
 #define EEP_CWRD_FILLED_POS  0x04
 #define EEP_CWRD0_POS        0x10
