


 //
 // C_SUBST.H: Created 2003 01 21
 //    Common C substitutes
 //
 // (C) Micrel Norway AS
 //     Proprietary firmware of Micrel Norway AS
 //
 


 // Note: The intention of the firmware listed below is to help users 
 //       get hands-on experience with Micrel Norway's products.
 
 //       No guarantee is implied as to the suitableness of the firmware 
 //       in a given application.
 
 //       For further information, please contact post@micrel.no
 


typedef unsigned char       uint8;
typedef unsigned int        uint16;
typedef unsigned short long uint24;
typedef unsigned long       uint32;

typedef signed char   sint8;
typedef signed long   sint32;


#define bit_xor  ^      /* bitwise xor */
#define bit_or   |      /* bitwise or  */
#define bit_and  &      /* bitwise and */
#define bit_comp  ~	/* one's complement (unary)) **/

#define or       ||     /* logical or  */
#define and      &&     /* logical and */

#define not      !      /* unary negation operator */
#define mod      %      /* modulus operator */


   typedef union byte_and_bits
   {
       struct
       {
           uint8  all;            
       };
       struct 
       {
          unsigned bit0:1;
          unsigned bit1:1;
          unsigned bit2:1;
          unsigned bit3:1;
          unsigned bit4:1;
          unsigned bit5:1;
          unsigned bit6:1;
          unsigned bit7:1;
       };
   };
