


 ;//
 ;// CONFIG.ASM: Created 2003 03 18
 ;//    Configuration bits setup
 ;//
 ;// (C) Micrel Norway AS
 ;//     Proprietary firmware of Micrel Norway AS
 ;//
 


 ;// Note: The intention of the firmware listed below is to help users 
 ;//       get hands-on experience with Micrel Norway's products.
 ;
 ;//       No guarantee is implied as to the suitableness of the firmware 
 ;//       in a given application.
 ;
 ;//       For further information, please contact post@micrel.no


#define ASM_FILE

#include "p18def.h"
#include "p18xxxx.h"

#ifdef PIC18F252
 __CONFIG 0x300001, 0x22
 __CONFIG 0x300002, 0x0C
 __CONFIG 0x300003, 0x0E
 __CONFIG 0x300005, 0x01
 ;__CONFIG 0x300006, 0x81
;Program Configuration Register 4L
	__CONFIG    _CONFIG4L, _STVR_ON_4L & _LVP_OFF_4L & _DEBUG_ON_4L
 
 __CONFIG 0x300008, 0x0F
 __CONFIG 0x300009, 0xC0
 __CONFIG 0x30000A, 0x0F
 __CONFIG 0x30000B, 0xE0
 __CONFIG 0x30000C, 0x0F
 __CONFIG 0x30000D, 0x40
 
 
#endif


#ifdef PIC18F452
 __CONFIG 0x300001, 0x22
 __CONFIG 0x300002, 0x0C
 __CONFIG 0x300003, 0x0E
 __CONFIG 0x300005, 0x01
 ;__CONFIG 0x300006, 0x81
;Program Configuration Register 4L
	__CONFIG    _CONFIG4L, _STVR_ON_4L & _LVP_OFF_4L & _DEBUG_ON_4L
 
 __CONFIG 0x300008, 0x0F
 __CONFIG 0x300009, 0xC0
 __CONFIG 0x30000A, 0x0F
 __CONFIG 0x30000B, 0xE0
 __CONFIG 0x30000C, 0x0F
 __CONFIG 0x30000D, 0x40
 
 
#endif


#ifdef PIC18C252
 __CONFIG 0x300000, 0xFF
 __CONFIG 0x300001, 0xE2
 __CONFIG 0x300002, 0x0C
 __CONFIG 0x300003, 0x00
 __CONFIG 0x300005, 0x01
 __CONFIG 0x300006, 0x03
#endif

#ifdef PIC18F4320
 __CONFIG 0x300001, 0xC2 ;// HS
 __CONFIG 0x300002, 0x0E ;// Brown out 2.0V, enabled, PWRT enabled
 __CONFIG 0x300003, 0x12 ;// wdt 1:512, disabled (512*4msec = approx 2 sec wdt timeout)
 __CONFIG 0x300005, 0x80 ;// PB: dig I/O, CCP2: RB3
 __CONFIG 0x300006, 0x81 ;// debugger disabled, low voltage ICSP disabled, "stack reset"
 __CONFIG 0x300008, 0x0F
 __CONFIG 0x300009, 0xC0
 __CONFIG 0x30000A, 0x0F
 __CONFIG 0x30000B, 0xE0
 __CONFIG 0x30000C, 0x0F
 __CONFIG 0x30000D, 0x40
#endif

;#ifndef PIC18C252
; #ifndef PIC18F252
;  #ifndef PIC18F4320
;   #error "Unknown PIC part"   
;  #endif
; #endif  
;#endif 
   
 END
           
